
/**************************************************************************
 *
 *  $Id: mbgmktm.h 1.2 2017/07/05 10:02:42 martin REL_M $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Definitions and prototypes for mbgmktm.c.
 *
 * -----------------------------------------------------------------------
 *  $Log: mbgmktm.h $
 *  Revision 1.2  2017/07/05 10:02:42  martin
 *  Include time.h.
 *  Updated function prototypes.
 *  Revision 1.1  2006/08/22 08:57:15  martin
 *  Former function totalsec() moved here from pcpsmktm.c.
 *
 **************************************************************************/

#ifndef _MBGMKTM_H
#define _MBGMKTM_H


/* Other headers to be included */

#include <time.h>


#ifdef _MBGMKTM
 #define _ext
#else
 #define _ext extern
#endif


/* Start of header body */

#ifdef __cplusplus
extern "C" {
#endif

/* ----- function prototypes begin ----- */

/* This section was generated automatically */
/* by MAKEHDR, do not remove the comments. */

 /**
 * @brief Compute a linear time_t value from broken down date and time
 *
 * This function works like the standard mktime() function but does not
 * account for a timezone setting configured for the standard C library.
 * Also, it does not take a structure but a set of variables which makes
 * it more versatile. The accepted variables are in the same ranges
 * as the struct tm members used by mktime().
 *
 * @param[in] year   year number - 1900
 * @param[in] month  months since January, 0..11
 * @param[in] day    days after 1st, 0..30
 * @param[in] hour   0..23
 * @param[in] min    0..59
 * @param[in] sec    0..59, 60 if leap second
 *
 * @return seconds since 1970-01-01 (Unix time_t format) or ((time_t) -1) if range overflow
 */
 time_t mbg_mktime( int year, int month, int day, int hour, int min, int sec ) ;


/* ----- function prototypes end ----- */

#ifdef __cplusplus
}
#endif

/* End of header body */

#undef _ext

#endif  /* _MBGMKTM_H */
